/*
 * COPYRIGHT NOTICE
 * Copyright (c) 1996-1997 H&S Technology, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Prototype file for SMTPOP16.DLL and SMTPOP32.DLL
 */
#ifdef WIN32
#define LongDllImport extern "C" long _stdcall
#else
#define LongDllImport extern "C" long PASCAL FAR
#endif

// SMTP function declarations
LongDllImport smtp_Version();
LongDllImport smtp_LoginMail(LPCSTR hostname, LPCSTR username, LPCSTR mailid, LPCSTR localdomain);
LongDllImport smtp_InitMail(long lHandle);
LongDllImport smtp_To(long lHandle, LPCSTR touser);
LongDllImport smtp_Cc(long lHandle, LPCSTR cc);
LongDllImport smtp_Bcc(long lHandle, LPCSTR bcc);
LongDllImport smtp_Subject(long lHandle, LPCSTR subject);
LongDllImport smtp_OpenData(long lHandle);
LongDllImport smtp_WriteData(long lHandle, LPSTR buffer);
LongDllImport smtp_WriteRawData(long lHandle, LPSTR buffer);
LongDllImport smtp_CloseData(long lHandle);
LongDllImport smtp_MailBodyText(long lHandle, LPCSTR buffer);
LongDllImport smtp_Noop(long lHandle);
LongDllImport smtp_Abort(long lHandle);
LongDllImport smtp_Verify(long lHandle, LPCSTR cmd, LPSTR buffer, long blen);
LongDllImport smtp_Expand(long lHandle, LPCSTR cmd, LPSTR buffer, long blen);
LongDllImport smtp_Help(long lHandle, LPSTR cmd, LPSTR buffer, long blen);
LongDllImport smtp_GetReply(long lHandle, LPSTR buffer, long blen);
LongDllImport smtp_ReplyCode(long lHandle);
LongDllImport smtp_LastMsg(LPSTR buffer, long blen);
LongDllImport smtp_Quit(long lHandle);
LongDllImport smtp_SendMail(long lHandle, LPCSTR Touser, LPCSTR Cc, LPCSTR Bcc,
	LPCSTR Subject,	LPCSTR Msg, LPCSTR att_files, long eflag);
LongDllImport smtp_AddAttachFile(long lHandle, LPCSTR fname, long file_type, LPCSTR subtype, 
				long encode_type);
LongDllImport smtp_EnableLog(LPCSTR fname, long options);
LongDllImport smtp_DisableLog();
LongDllImport smtp_Date(long lHandle, LPCSTR sdate);
LongDllImport smtp_SetTimeZone(LPCSTR tzone);
// New for version 2.1
LongDllImport smtp_SetTimeOut(long lHandle, long tval);
LongDllImport smtp_DefaultTimeOut(long timeout);
LongDllImport smtp_SetFromAddr(long lHandle, LPCSTR from_addr);
LongDllImport smtp_LoginMailPort(LPCSTR hostname, long al_port, LPCSTR username, LPCSTR mail_id, 
			  LPCSTR localdomain);
// New for version 2.2
LongDllImport smtp_SetProgressBar(long lHandle, long on_off);
LongDllImport smtpop_DefaultProgressBar(long on_off);

// POP3 function declarations
LongDllImport pop3_NewHandle();
LongDllImport pop3_Login(long lHandle, LPCSTR hostname, LPCSTR username, LPCSTR password);
LongDllImport pop3_LoginMail(LPCSTR hostname, LPCSTR username, LPCSTR password);
LongDllImport pop3_GetReply(long lHandle, LPSTR buffer, long blen);
LongDllImport pop3_LastMsg(LPSTR buffer, long blen);
LongDllImport pop3_Quit(long lHandle);
LongDllImport pop3_MailStatus(long lHandle);
LongDllImport pop3_ListMails(long lHandle);
LongDllImport pop3_GetMailSize(long lHandle, long MsgNum);
LongDllImport pop3_ResultsSize(long lHandle);
LongDllImport pop3_GetResults(long lHandle, LPSTR buffer, long blen);
LongDllImport pop3_RetrieveMail(long lHandle, long MsgNum);
LongDllImport pop3_DeleteMail(long lHandle, long MsgNum);
LongDllImport pop3_LastMailRead(long lHandle);
LongDllImport pop3_ResetMail(long lHandle);
LongDllImport pop3_Noop(long lHandle);
LongDllImport pop3_GetMailHeader(long lHandle, LPSTR buffer, long blen, long startpos);
LongDllImport pop3_GetMailFrom(long lHandle, LPSTR buffer, long blen, long startpos);
LongDllImport pop3_GetMailTo(long lHandle, LPSTR buffer, long blen, long startpos);
LongDllImport pop3_GetMailCc(long lHandle, LPSTR buffer, long blen, long startpos);
LongDllImport pop3_GetMailSubject(long lHandle, LPSTR buffer, long blen, long startpos);
LongDllImport pop3_GetMailDate(long lHandle, LPSTR buffer, long blen, long startpos);

LongDllImport pop3_OpenMailFile(long lHandle, LPCSTR ac_fname);
LongDllImport pop3_QuickScanFile(long lHandle, LPCSTR ac_fname);
LongDllImport pop3_SaveAttachedTo(long lHandle, long Numb, LPCSTR filename,
					 long owflag);
LongDllImport pop3_GetAttachCount(long lHandle);
LongDllImport pop3_GetAttachedType(long lHandle, long Numb, LPSTR fcontent,
					   long fclen, long startpos);
LongDllImport pop3_GetAttachedName(long lHandle, long Numb, 
					   LPSTR fname, long flen, long startpos);
LongDllImport pop3_RetrieveIntoFile(long lHandle, long MsgNum, LPCSTR filename,
					  long ovflag);
LongDllImport pop3_OpenAttached(long lHandle, long Numb);
LongDllImport pop3_ReadAttached(long lHandle, LPSTR buffer, long blen);
LongDllImport pop3_OpenReadBodyText(long lHandle);
LongDllImport pop3_ReadBodyText(long lHandle, LPSTR buffer, long blen);
// New for version 2.1
LongDllImport pop3_SetTimeOut(long lHandle, long tval);
LongDllImport pop3_LoginPort(long lHandle,  LPCSTR hostname, long al_port,
		   LPCSTR user, LPCSTR pass);
LongDllImport pop3_GetDispositionType(long lHandle,  long Numb, LPSTR ac_buffer,
					   long al_blen, long startpos);
LongDllImport pop3_GetDispositionFname(long lHandle,  long Numb, LPSTR ac_buffer,
					   long al_blen, long startpos);
LongDllImport pop3_GetPartHeaders(long lHandle,  long Numb, LPSTR ac_buffer,
					   long al_blen, long startpos);
LongDllImport pop3_GetHeaderField(long lHandle,  long Numb, LPCSTR ac_header, LPSTR ac_buffer,
					   long al_blen, long startpos);
LongDllImport pop3_GetHeaderType(long lHandle,  long Numb, LPCSTR ac_header,
				   LPSTR ac_buffer, long al_blen, long startpos);
LongDllImport pop3_GetParmValue(long lHandle,  long Numb, LPCSTR ac_header, LPCSTR ac_parm, 
				  LPSTR ac_buffer, long al_blen, long startpos);
LongDllImport pop3_QuickScanMail(long lHandle,  long MsgNum);
// New for version 2.2
LongDllImport pop3_SetProgressBar(long lHandle, long al_onoff_flag);